
require "AnAL"

function love.load()
	img = love.graphics.newImage("explosion-spritesheet.png")

	animStart = 0 -- this is to prevent the animation from starting without pressing the "right" key, it's just for testing the explosion 
	anim = {}
end

function love.update(dt)
	if animStart == 1 then
		for i,v in ipairs(anim) do
			v:update(dt)
		end
	end


end

function love.keypressed( key )
	--Beenden des Spiels
	if love.keyboard.isDown( "escape" ) then
		love.event.quit()
	end

	if love.keyboard.isDown("right") then
		x= math.random(0, 700)		-- i am making the x and y random so the animations don't get ovelapped and i can see them at different positions
		y = math.random(0, 558)
		
		--trying to make multiple animations
		table.insert(anim,{})

		for i,v in ipairs(anim) do
			v = newAnimation(img, 100, 100, 0.03, 0)
			v:setMode("once")
		end



		animStart = 1
	end
end


function love.draw()
	if animStart == 1 then
		for i,v in ipairs(anim) do
			v:draw(x, y)
		end
	end
end